## ros-indigo-pyros-common 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pyros_common)  # we need to follow ros package naming conventions here
# TODO : change name from lunar distro to match python naming (we are now using namespaces)

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(pyros_common)

## Unit tests
if (CATKIN_ENABLE_TESTING)


    ##############################################################################
    # Nose Tests
    ##############################################################################

    # Careful this will not support parallel testing, due to multiprocess environment used in tests
    catkin_add_nosetests(pyros_interfaces_mock/tests)

    # TODO : run ROS tests with --no-skip to force them...

endif()

=== requirements.txt ===
git+https://github.com/asmodehn/pyros.git@namespace#egg=pyros

=== debian/changelog ===
ros-indigo-pyros-common (0.4.2-0trusty) trusty; urgency=high

  * Fixing setup.py to point to normal pyros-common package. [AlexV]
  * V0.4.2. [AlexV]
  * Fixing setup.py commands after pacakge structure change. [AlexV]
  * Dropping the namespace idea, since we cant make a working deb pkg out
    of it. [AlexV]
  * Preparing ros release... [AlexV]

 -- AlexV <asmodehn@gmail.com>  Tue, 18 Apr 2017 15:00:00 -0000

ros-indigo-pyros-common (0.4.1-0trusty) trusty; urgency=high

  * V0.4.1. [AlexV]
  * Some setup.py commands fixes for release. [AlexV]
  * Changing tox tester to nose. [AlexV]
  * Moving ctx_server back to pyros to keep dependencies one-way. [AlexV]
  * Renaming test_pyros_mock for pytest to detect it. [AlexV]
  * Removing the pkgutil way to only use one way to do namespace packages.
    [AlexV]
  * Adding tox and travis files. adding dependency on pyros repo for
    tests... [AlexV]
  * Setup.py publish command description change. [AlexV]
  * Adding null logging handler by default. [AlexV]
  * Keep using the same ros package name for now. [AlexV]
  * Reorganizing to nest everything under pyros_interfaces namespace.
    [AlexV]
  * Now relying on catkin_pip >0.2. [AlexV]
  * Fix for cmakelists. added dependencies in package.xml. [alexv]
  * Added git changelog configuration. some setup.py fixes. [alexv]

 -- AlexV <asmodehn@gmail.com>  Tue, 18 Apr 2017 15:00:00 -0000

ros-indigo-pyros-common (0.4.0-0trusty) trusty; urgency=high

  * V0.4.0. [alexv]
  * More fixes to get other tests to pass. [alexv]
  * Restructuring pyros_common to simplify things. added cmakelists and
    package.xml temporarily, while we get everything working together from
    source... [alexv]
  * Adding pyros protocol. [alexv]
  * Fixed setup.py. [alexv]
  * Moving code from pyros. [alexv]
  * Initial commit. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Tue, 17 Jan 2017 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-pyros-common
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.6.18), ros-indigo-catkin-pip (>= 0.2.0), ros-indigo-pyros-config (>= 0.1.5), ros-indigo-pyzmp (>= 0.0.14)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pyros-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pyros-config (>= 0.1.5), ros-indigo-pyzmp (>= 0.0.14)
Description: Common interfaces packages for Pyros framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pyros-common//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
